#!/bin/sh
#
# (c) 2025, LEAPS - All rights reserved.
#

# Get the IP address of the PC running the script
ip_address=$(hostname -I | awk '{print $1}')

# Find and replace the configuration line in all leaps-gateway.conf files
find . -type f -name "leaps-gateway.conf" -exec sed -i "s/leaps-server-host =.*/leaps-server-host = $ip_address/g" {} +
echo "The leaps-gateway configuration is updated with the current IP address: $ip_address"

# Find and replace the configuration line in all leaps-server.conf files
find . -type f -name "leaps-server.conf" -exec sed -i "s/mqtt_host =.*/mqtt_host = $ip_address/g" {} +
echo "The leaps-server configuration is updated with the current IP address: $ip_address"
